<div class="renseigneFormInside">
    <div style="clear:both">
        <a class="btn btn-xs btn-default" href="#" onclick="sendData('sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_index={{V.data_index}}&data_type={{dataType}}', '{{url('sysma-object-parameter-value')}}', 'renseigneForm{{V.idsysma_object}}{{V.parameter_id}}', event);"><span class="glyphicon glyphicon-remove"></span> Annuler</a>
    </div>


    <h2>Correction de la valeur <strong>{{ V.parameter.parameter|raw }} </strong></h2>
    <p><small>Attention les données seront corrigées, les anciennes données seront écrasées.</small></p>
    <form method="post" action="#"  id="Form{{ V.idsysma_object }}{{ V.parameter_id }}">


        <div class="form-group">

            <label>Valeur corrigée : </label>

            {% if (V.parameter.dataType == 'booleanType') %}
                <select name="value" class="form-control" >
                    <option value="1"
                            {% if V.value == 1 %}
                                selected
                            {% endif %}>Oui</option>
                    <option value="0"
                            {% if V.value == 0 %}
                                selected
                            {% endif %}>Non</option>
                </select>



            {% elseif V.parameter.dataType == 'textChoiceType' %}

                {% set details =  null %} 
                <select name="value" class="form-control" >
                    {% for choice in V.choicesArray %}
                        <option value="{{ choice.choice }}"
                                {% if V.value == choice.choice %}
                                    selected
                                {% endif %}
                                >{{ choice.choice|raw }}

                            {% if choice.description != null %}
                                {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                            {% endif %}
                        </option>
                    {% endfor %}
                </select>



            {% elseif V.parameter.dataType == 'multipleTextChoiceType' %}
                {% set details = null %} 
                <br>

                {% for choice in V.choicesArray %}

                    <input type="checkbox" value="1" name="choice{{ choice.choice_id }}" 

                           {% for value in V.value %}
                               {% if value == choice.choice %}
                                   checked ="checked"
                               {% endif %}
                           {% endfor %}
                           /> {{ choice.choice }}<br/>
                    {% if choice.description != null %}
                        {% set details = details ~ '<li><u>' ~ choice.choice ~ '</u> : ' ~ choice.description ~ '</li>' %}
                    {% endif %}
                {% endfor %}



            {% elseif V.parameter.dataType == 'longTextType' %}
                <textarea class="form-control"  name="value" style="width:90%;">{{ V.value|raw }}</textarea>

            {% elseif V.parameter.dataType == 'dayMonthYearDateType' %}
                <input type="date" class="form-control"  name="value" value="{{ V.value|raw }}"  />

            {% elseif V.parameter.dataType == 'monthYearDateType' %}
                <input type="month" class="form-control"  name="value" value="{{ V.value|raw }}"  />

            {% elseif V.parameter.dataType == 'integerType' %}
                <input type="number"  step="1" class="form-control"  name="value" value="{{ V.value|raw }}"  id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" onkeyup="checkInteger(this, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>     

            {% elseif V.parameter.dataType == 'floatType' %}
                 <input class="form-control"  name="value" value="{{ V.value|raw }}"  id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" onkeyup="checkFloat(this, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>    

            {% elseif V.parameter.dataType == 'hyperlink' %}
				<input class="form-control" name="value" value="{{ V.value|raw }}" id="inputObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}" onkeyup="checkHyperLink(this.value, 'Object{{ V.idsysma_object }}Parameter{{ V.parameter_id }}')"/>

				<div id="commentObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}">
				</div>             

            {% elseif V.parameter.dataType == 'sysmaObjectLinkType' %}

                <input class="form-control" style="float:right;max-width:50%" onkeyup="sendData('search='+$('#sysmaObjectLinkTypeSearch').val()+'&data_type=sysmaObjectLinkType&data_index={{V.data_index }}&sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}','{{url('sysma-object-link-type-parameter-value-modification')}}','sysmaObjectLinkTypeSelect',null)" placeholder="Rechercher dans la liste..." id="sysmaObjectLinkTypeSearch" /><br>

                <div id="sysmaObjectLinkTypeSelect">
                <select name="value" class="form-control" >                    
                    {% for l in V.linkedObjectsList %}
                        <option value="{{ l.name~' ['~l.id~']' }}" 
                                {%  if V.value == l.name~' ['~l.id~']'  %}selected{%  endif %}
                                >{{ l.name~' ['~l.id~']'|raw }}                      
                        </option>
                    {% endfor %}
                </select>
                </div>



            {% else %}


                <input class="form-control"  name="value" value="{{ V.value }}"  />
            {% endif %}  

        </div>


        {% if V.parameter.time_tracking == 1 %}

            <div class="row">
                <div class="form-group">
                    <div class="col-md-2">                                    
                        <label>Date de début</label>
                    </div>
                    <div class="col-md-5">  
                        {% if V.start_date == null %}
                            {% set dtd = 0 %}
                        {% else  %}
                            {% set dtd = V.start_date %}
                        {% endif %}  

                        <input  data-toggle="tooltip" data-placement="right" title="Date de début de la validité de cette value ou bien 0 si elle n'est pas définie"  class="form-control input-sm" id="start_dateparameterObjet" name="start_date" value="{{ dtd }}"  value="" onchange="checkDate('start_dateparameterObjet', 'start_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'end_dateparameterObjet');" required="required" />
                    </div>
                    <div class="col-md-5">  
                        <div id="start_dateparameterObjetComment"></div>
                    </div>                  
                </div>
            </div>

            <div class="row">
                <div class="form-group">
                    <div class="col-md-2">         
                        <label>Date de fin</label>
                    </div>
                    <div class="col-md-5">
                        {% if V.end_date == null %}
                            {% set dtf = 0 %}
                        {% else  %}
                            {% set dtf = V.end_date %}
                        {% endif %}  

                        <input data-toggle="tooltip" data-placement="right" title="Date de fin de validité de cette value, ou bien 0 si la value est encore valable" class="form-control input-sm" id="end_dateparameterObjet" name="end_date"  value="{{ dtf }}"   onchange="checkDate('end_dateparameterObjet', 'end_dateparameterObjetComment', 'buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}', 'start_dateparameterObjet');"  required="required" />
                    </div>
                    <div class="col-md-5">  
                        <div id="end_dateparameterObjetComment"></div>
                    </div>
                </div>
            </div>
        {% else  %} 
            <div style="display:none;">
                <input id="start_dateparameterObjet" name="start_date" value="0" size="30" />
                <input id="end_dateparameterObjet" name="end_date" value="0" size="30" />
            </div>
        {% endif %}  


        <button class="btn btn-primary" id="buttonObject{{ V.idsysma_object }}Parameter{{ V.parameter_id }}"


                {% if V.parameter.dataType != 'multipleTextChoiceType' %}
                    onClick="sendFormAndRedirect('Form{{ V.idsysma_object }}{{ V.parameter_id }}', '{{ url('sysma-object-parameter-value-modification-commit')}}', 'data_index={{V.data_index}}&sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}', '{{ url('sysma-object-parameter-value')}}', 'renseigneForm{{ V.idsysma_object }}{{ V.parameter_id }}', event);"
                {% else %}
                    onClick="sendFormAndRedirect('Form{{ V.idsysma_object }}{{ V.parameter_id }}', '{{ url('object-parameter-multiple-value-modification-commit')}}', 'sysma_object_id={{V.idsysma_object}}&parameter_id={{V.parameter_id}}&data_type={{V.parameter.dataType}}', '{{ url('sysma-object-parameter-value')}}', 'renseigneForm{{ V.idsysma_object }}{{ V.parameter_id }}', event);"
                {% endif %}  

                >Corriger</button>


        {% if details|default(null) != null %} 
            <div id="detailsChoix">
                <p class="text-right">
                    <a class="btn btn-xs btn-default" role="button" data-toggle="collapse" href="#collapseDetails{{ V.data_index }}" aria-expanded="false" aria-controls="collapseExample">
                        Afficher les détails des choix
                    </a>
                </p>
                <div class="collapse" id="collapseDetails{{ V.data_index }}">                   
                    <ul>
                        {{ details|raw }}
                    </ul>
                </div>
            </div>
        {% endif %}

        <input type="hidden" value="{{ V.data_index }}" name="data_index" />        
        <input type="hidden" value="{{ V.parameter_id }}" name="parameter_id" />
        <input type="hidden" value="{{ V.idsysma_object }}" name="sysma_object_id" />      

    </form>
    <div class="text-right">
        {% include('sysma-object-parameter-value/sysmaObjectParameterValueDeleteButton.twig') %}   
    </div>
</div>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();        
    });        
</script>
